com.verisign.epp.codec.registry.v01

## Class EPPRegistryServicesExt.EPPRegistryExtURI

- java.lang.Object
- - com.verisign.epp.codec.registry.v01.EPPRegistryServices.EPPRegistryURI
  - - com.verisign.epp.codec.registry.v01.EPPRegistryServicesExt.EPPRegistryExtURI

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable
  Enclosing class:
    EPPRegistryServicesExt

      public static class EPPRegistryServicesExt.EPPRegistryExtURI
      extends EPPRegistryServices.EPPRegistryURI

  Extension service URI that includes the URI value and a "required" attribute that indicates whether use of the extension service is required.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.registry.v01.EPPRegistryServices.EPPRegistryURI

      `ATTR_REQUIRED, ELM_EXT_URI, ELM_EXT_URI_LOCALNAME, ELM_OBJ_URI, ELM_OBJ_URI_LOCALNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryExtURI()` Default constructor.
    `EPPRegistryExtURI(java.lang.String aUri, java.lang.Boolean aRequired)` Constructor that takes the two required attributes for the URI and the required attribute.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryExtURI` compare.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.String` | `getRootName()` Gets the name of the root XML element.

    - ### Methods inherited from class com.verisign.epp.codec.registry.v01.EPPRegistryServices.EPPRegistryURI

      `clone, decode, encode, getRequired, getUri, setRequired, setUri, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPRegistryExtURI

          public EPPRegistryExtURI()

      Default constructor. The "required" attribute must be set and the URI must be set prior to calling `EPPRegistryServices.EPPRegistryURI.encode(Document)`.

    - #### EPPRegistryExtURI

          public EPPRegistryExtURI(java.lang.String aUri,
                                   java.lang.Boolean aRequired)

      Constructor that takes the two required attributes for the URI and the required attribute.
      Parameters:
        `aUri` - The object URI
        `aRequired` - `true` if the use of the extension URI is required; `false` otherwise.

  - ### Method Detail

    - #### getRootName

          public java.lang.String getRootName()

      Gets the name of the root XML element.
      Specified by:
        `getRootName` in class `EPPRegistryServices.EPPRegistryURI`
      Returns:
        `EPPRegistryServices.EPPRegistryURI.ELM_EXT_URI` for the object URI.

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPRegistryExtURI` compare.
      Overrides:
        `equals` in class `EPPRegistryServices.EPPRegistryURI`
      Parameters:
        `aObject` - `EPPRegistryExtURI` instance to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Returns:
        XML namespace for the `EPPCodecComponent`.